POST Retrieve loyalty points earned.
POST /merchant/spi/sample/endpoint/sa/getLoyaltyPoints
Operation ID: postReceipt_1. Tags: Loyalty SPI.
Retrieve the loyalty points earned for the transaction. When placing an order, if the customer is enrolled in loyalty, this SPI returns the points that will be earned for the order. Merchant must implement this endpoint per this specification and then configure it in CMS.
Request body
Media type: application/json. Schema: Cart.
Responses
- default
Default response.
Media type:
application/json. Schema:SPILoyaltyPoints.